%global momorel 1
%global glib2_version 2.56.0

Name:           glib-networking
Version:        2.57.2
Release: %{momorel}m%{?dist}
Summary:        Networking support for GLib

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org
Source:         http://download.gnome.org/sources/glib-networking/2.57/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  libproxy-devel
BuildRequires:  gnutls-devel >= 3.6.2
BuildRequires:  intltool
BuildRequires:  ca-certificates
BuildRequires:  gsettings-desktop-schemas-devel

Requires:       ca-certificates
Requires:       glib2 >= %{glib2_version}
Requires:       gsettings-desktop-schemas

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains libproxy- and GSettings-based
GProxyResolver implementations and a gnutls-based GTlsConnection
implementation.

%package tests
Summary: Tests for the glib-networking package
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The glib-networking-tests package contains tests that can be used to verify
the functionality of the installed glib-networking package.

%prep
%setup -q

%build
%meson -Dinstalled_tests=true
%meson_build

%install
rm -rf rm -f %{buildroot}

%meson_install

rm -f %{buildroot}%{_libdir}/gio/modules/*.la

%find_lang %{name}

%post
gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%files -f %{name}.lang
%doc COPYING NEWS README
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_unitdir}/../user/glib-pacrunner.service

%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%changelog
* Tue Jun 26 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.57.2-1m)
- update 2.57.2

* Sat Jun 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.56.0-1m)
- update 2.56

* Sat Jan 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.50.0-1m)
- update 2.50

* Sun Dec 21 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.41.1-2m)
- correct Requires

* Sat Dec 20 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.42.1-1m)
- update to 2.42.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.42.0-2m)
- update

* Sun Aug 17 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (2.40.1-1m)
- update to 2.40.1

* Sat Jun  1 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34.2-2m)
- rebuild against gnutls-3.2.0

* Tue Dec 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.34.2-1m)
- update to 2.34.2

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.34.0-1m)
- update to 2.34.0

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.2-2m)
- rebuild for glib 2.33.2

* Mon Jan 23 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.30.2-1m)
- update to 2.30.2

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Wed Sep 21 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.92-1m)
- update to 2.29.92

* Sat Sep 10 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.18-1m)
- update to 2.29.18

* Sat May 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.7-1m)
- update to 2.28.7

* Sat Apr 30 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.6.1-1m)
- update to 2.28.6.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.5-2m)
- rebuild for new GCC 4.6

* Thu Apr  7 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.5-1m)
- initial build
